IntegerOntology.IntTerm (BioJava-1.5-beta API)
Keywords: org.biojava.ontology.IntegerOntology.IntTerm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Class IntegerOntology.IntTerm

    java.lang.Object
      org.biojava.utils.Unchangeable
          org.biojava.ontology.IntegerOntology.IntTerm

All Implemented Interfaces:
  Annotatable, Term, Changeable

Enclosing class:
  IntegerOntology

    public final class IntegerOntology.IntTerm

extends Unchangeable
implements Term

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.ontology.Term
`Term.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`IntegerOntology.IntTerm(int val)`
`IntegerOntology.IntTerm(int val, Object[] synonyms)`

Method Summary
`void` | `addSynonym(Object synonym)` Add a synonym for this term.
`Annotation` | `getAnnotation()` Should return the associated annotation object.
`String` | `getDescription()` Return a human-readable description of this term, or the empty string if none is available.
`String` | `getName()` Return the name of this term.
`Ontology` | `getOntology()` Return the ontology in which this term exists.
`Object[]` | `getSynonyms()` Return the synonyms for this term.
`int` | `intValue()`
`void` | `removeSynonym(Object synonym)` Remove a synonym for this term.

Methods inherited from class org.biojava.utils.Unchangeable
`addChangeListener, addChangeListener, addForwarder, getForwarders, getListeners, isUnchanging, removeChangeListener, removeChangeListener, removeForwarder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### IntegerOntology.IntTerm

    public IntegerOntology.IntTerm(int val)

### IntegerOntology.IntTerm

    public IntegerOntology.IntTerm(int val,
                                   Object[] synonyms)

Method Detail

### addSynonym

    public void addSynonym(Object synonym)

  Description copied from interface: `Term`
  Add a synonym for this term.

  Specified by:
    `addSynonym` in interface `Term`

### removeSynonym

    public void removeSynonym(Object synonym)

  Description copied from interface: `Term`
  Remove a synonym for this term.

  Specified by:
    `removeSynonym` in interface `Term`

### getSynonyms

    public Object[] getSynonyms()

  Description copied from interface: `Term`
  Return the synonyms for this term.

  Specified by:
    `getSynonyms` in interface `Term`

### intValue

    public int intValue()

### getName

    public String getName()

  Description copied from interface: `Term`
  Return the name of this term.

  Specified by:
    `getName` in interface `Term`

### getDescription

    public String getDescription()

  Description copied from interface: `Term`
  Return a human-readable description of this term, or the empty string if none is available.

  Specified by:
    `getDescription` in interface `Term`

### getOntology

    public Ontology getOntology()

  Description copied from interface: `Term`
  Return the ontology in which this term exists.

  Specified by:
    `getOntology` in interface `Term`

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: `Annotatable`
  Should return the associated annotation object.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an Annotation object, never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD